package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.MeetingAddress;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface MeetingAddressDAO {
	int insert(MeetingAddress entity);
	int update(MeetingAddress entity);
	int exist(String id);
	MeetingAddress get(String id);
	int delete(String id);
	List<MeetingAddress> list();
	List<MeetingAddress> findByMeetingId(String meetingId);
	List<MeetingAddress> findByAddressId(String addressId);
	List<MeetingAddress> search(Map<String, Object> searchParams, List<Sort> sortList);
}